Bug 120383 - CAN-2004-0183/0184 tcpdump ISAKMP crash
CAN-2004-0183/0184 tcpdump ISAKMP crash
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tcpdump (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
http://www.rapid7.com/advisories/R7-0...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-08 05:59 EDT by Leonard den Ottolander
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-20 05:40:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonard den Ottolander 2004-04-08 05:59:14 EDT
TCPDUMP v3.8.1 and earlier versions contain multiple flaws in the
packet display functions for the ISAKMP protocol.  Upon receiving
specially crafted ISAKMP packets, TCPDUMP will try to read beyond
the end of the packet capture buffer and crash.

This is a low-risk vulnerability, therefore this will get fixed in our
next tcpdump updates.

tcpdump 3.8.2/.3 came out on Mar30 to fix these issues

As Fedora Core 2 test 2 comes with tcpdump-3.8.2-3 I assume FC2(t2) is
not affected. Fedora Core 1 most probably is.
Comment 1 Mark J. Cox (Product Security) 2004-05-20 05:40:43 EDT
FC2 not affected
FC1 see errata:
http://www.redhat.com/archives/fedora-announce-list/2004-May/msg00011.html

Note You need to log in before you can comment on or make changes to this bug.